cURL
curl --request PUT \
--url https://firstpromoter.com/api/v1/rewards/update \
--header 'X-API-KEY: <api-key>'import requests
url = "https://firstpromoter.com/api/v1/rewards/update"
headers = {"X-API-KEY": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://firstpromoter.com/api/v1/rewards/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://firstpromoter.com/api/v1/rewards/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://firstpromoter.com/api/v1/rewards/update"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://firstpromoter.com/api/v1/rewards/update")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://firstpromoter.com/api/v1/rewards/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"status": "approved",
"amount": 123,
"unit": "cash",
"created_at": "<string>",
"lead": "<unknown>",
"event_id": "<string>",
"conversion_amount": 123,
"tier_level": 123,
"promoter": {
"id": 123,
"status": "<string>",
"cust_id": "<unknown>",
"email": "<string>",
"created_at": "<string>",
"temp_password": "<string>",
"default_promotion_id": 123,
"pref": "<string>",
"default_ref_id": "<string>",
"note": "<string>",
"w8_form_url": "<unknown>",
"w9_form_url": "<unknown>",
"parent_promoter_id": "<string>",
"earnings_balance": {},
"current_balance": {},
"paid_balance": {},
"auth_token": "<string>"
},
"promotion": {
"id": 123,
"status": "<string>",
"ref_id": "<string>",
"promo_code": "<string>",
"customer_promo_code": "<string>",
"target_reached_at": "<string>",
"promoter_id": 123,
"campaign_id": 123,
"referral_link": "<string>",
"current_offer": {
"id": 123,
"name": "<string>",
"amount": 123,
"unit": "<string>",
"default_promo_code": "<string>"
},
"current_referral_reward": {
"id": 123,
"amount": 123,
"unit": "<string>",
"name": "<string>",
"per_of_sale": 123,
"default_promo_code": "<string>"
},
"current_promotion_reward": {},
"current_target_reward": {},
"campaign_name": "<string>",
"hidden": true,
"visitors_count": 123,
"leads_count": 123,
"customers_count": 123,
"refunds_count": 123,
"cancellations_count": 123,
"sales_count": 123,
"sales_total": 123,
"refunds_total": 123,
"active_customers_count": 123
}
}"<string>"{
"error": "<string>"
}Rewards
Update a reward or commission
You can use this endpoint to change the status of a reward or commission. You can identify the reward or commission by its id or the id of the event that generated the reward.
For Stripe, Recurly and Chargebee subscription the
event_id value is the Invoice id, for Stripe one time charges is the charge id.HTTP Request
PUT https://firstpromoter.com/api/v1/rewards/updatePUT
/
update
cURL
curl --request PUT \
--url https://firstpromoter.com/api/v1/rewards/update \
--header 'X-API-KEY: <api-key>'import requests
url = "https://firstpromoter.com/api/v1/rewards/update"
headers = {"X-API-KEY": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://firstpromoter.com/api/v1/rewards/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://firstpromoter.com/api/v1/rewards/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://firstpromoter.com/api/v1/rewards/update"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://firstpromoter.com/api/v1/rewards/update")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://firstpromoter.com/api/v1/rewards/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"status": "approved",
"amount": 123,
"unit": "cash",
"created_at": "<string>",
"lead": "<unknown>",
"event_id": "<string>",
"conversion_amount": 123,
"tier_level": 123,
"promoter": {
"id": 123,
"status": "<string>",
"cust_id": "<unknown>",
"email": "<string>",
"created_at": "<string>",
"temp_password": "<string>",
"default_promotion_id": 123,
"pref": "<string>",
"default_ref_id": "<string>",
"note": "<string>",
"w8_form_url": "<unknown>",
"w9_form_url": "<unknown>",
"parent_promoter_id": "<string>",
"earnings_balance": {},
"current_balance": {},
"paid_balance": {},
"auth_token": "<string>"
},
"promotion": {
"id": 123,
"status": "<string>",
"ref_id": "<string>",
"promo_code": "<string>",
"customer_promo_code": "<string>",
"target_reached_at": "<string>",
"promoter_id": 123,
"campaign_id": 123,
"referral_link": "<string>",
"current_offer": {
"id": 123,
"name": "<string>",
"amount": 123,
"unit": "<string>",
"default_promo_code": "<string>"
},
"current_referral_reward": {
"id": 123,
"amount": 123,
"unit": "<string>",
"name": "<string>",
"per_of_sale": 123,
"default_promo_code": "<string>"
},
"current_promotion_reward": {},
"current_target_reward": {},
"campaign_name": "<string>",
"hidden": true,
"visitors_count": 123,
"leads_count": 123,
"customers_count": 123,
"refunds_count": 123,
"cancellations_count": 123,
"sales_count": 123,
"sales_total": 123,
"refunds_total": 123,
"active_customers_count": 123
}
}"<string>"{
"error": "<string>"
}Query Parameters
Response
Update reward response